Loading...
Searching...
No Matches
timer.h File Reference
PedTimer

Go to the source code of this file.

## Data Structures

struct | _PedTimer

## Typedefs

typedef struct _PedTimer | PedTimer
typedef void | PedTimerHandler(PedTimer *timer, void *context)

## Functions

void | ped_timer_destroy (PedTimer *timer)
| Destroys a `timer`.
void | ped_timer_destroy_nested (PedTimer *timer)
| Destroys a nested `timer`.
PedTimer * | ped_timer_new (PedTimerHandler *handler, void *context)
| Creates a timer.
PedTimer * | ped_timer_new_nested (PedTimer *parent, float nest_frac)
| Creates a new nested timer.
void | ped_timer_reset (PedTimer *timer)
void | ped_timer_set_state_name (PedTimer *timer, const char *state_name)
void | ped_timer_touch (PedTimer *timer)
void | ped_timer_update (PedTimer *timer, float new_frac)